+++ /dev/null
-#!/bin/sh
-# Copyright (C) 2002, Earnie Boyd
-# mailto:earnie@users.sf.net
-# This file is part of MSYS
-# http://www.mingw.org/msys.shtml
-# File: awk
-
-gawk "$@"
+++ /dev/null
-#! /bin/sh
-# Copyright (C) 2002, Earnie Boyd
-# mailto:earnie@users.sf.net
-# This file is a part of Minimal SYStem
-# http://www.mingw.org/msys.html
-# File: bunzip2
-
-bzip2 -d $@
+++ /dev/null
-#! /bin/sh
-# Copyright (C) 2003, Earnie Boyd
-# mailto:earnie@users.sf.net
-# This file is a part of Minimal SYStem (MSYS)
-# http://www.mingw.org/msys.shtml
-# File: cls
-
-#Clear the screen
-echo -ne "\033[2J"
+++ /dev/null
-#! /bin/sh
-# Copyright (C) 2003, Earnie Boyd
-# mailto:earnie@users.sf.net
-# This file is a part of Minimal SYStem (MSYS)
-# http://www.mingw.org/msys.shtml
-# File: clsb
-
-# Clear the screen and buffer
-echo -ne "\033c"
+++ /dev/null
-#!/bin/sh
-# Copyright (C) 2002, Earnie Boyd
-# mailto:earnie@users.sf.net
-# This file is part of Minimal SYStem.
-# http://www.mingw.org/msys.shtml
-# File: cmd
-
-`echo $COMSPEC | sed -e 's#\\\\#/#g'` "$@"
+++ /dev/null
-#!/bin/sh
-# Copyright (C) 2002, Earnie Boyd
-# mailto:earnie@users.sf.net
-# This file is part of MSYS
-# http://www.mingw.org/msys.shtml
-# File: echo
-
-echo "$@"
+++ /dev/null
-#!/bin/sh
-# Copyright (C) 2002, Earnie Boyd
-# mailto:earnie@users.sf.net
-# This file is part of MSYS
-# http://www.mingw.org/msys.shtml
-# File: egrep
-
-grep -E "$@"
+++ /dev/null
-#! /bin/sh
-# Copyright (C) 2002, Earnie Boyd
-# mailto:earnie@users.sf.net
-# This file is a part of Minimal SYStem
-# http://www.mingw.org/msys.html
-# File: ex
-
-exec vim -e "$@"
+++ /dev/null
-#!/bin/sh
-# Copyright (C) 2002, Earnie Boyd
-# mailto:earnie@users.sf.net
-# This file is part of MSYS
-# http://www.mingw.org/msys.shtml
-# File: fgrep
-
-grep -F "$@"
+++ /dev/null
-#!/bin/sh
-# Copyright (C) 2002, Earnie Boyd
-# mailto:earnie@users.sf.net
-# This file is part of Minimal SYStem.
-# http://www.mingw.org/msys.shtml
-# File: ftp
-
-cmd //c start ftp "$@"
+++ /dev/null
-#! /bin/sh
-# Copyright (C) 2002, Earnie Boyd
-# mailto:earnie@users.sf.net
-# This file is a part of Minimal SYStem
-# http://www.mingw.org/msys.html
-# File: gunzip
-
-gzip -d $@
+++ /dev/null
-<?xml version="1.0" encoding="UTF-8" standalone="yes"?>
-<assembly xmlns="urn:schemas-microsoft-com:asm.v1" manifestVersion="1.0">
- <v3:trustInfo xmlns:v3="urn:schemas-microsoft-com:asm.v3">
- <v3:security>
- <v3:requestedPrivileges>
- <v3:requestedExecutionLevel level="asInvoker" />
- </v3:requestedPrivileges>
- </v3:security>
- </v3:trustInfo>
-</assembly>
+++ /dev/null
-#!/bin/sh
-# Copyright (C) 2002, Earnie Boyd
-# mailto:earnie@users.sf.net
-# This file is part of Minimal SYStem.
-# http://www.mingw.org/msys.shtml
-# File: lnkcnv - .lnk symlink file to actual file converter.
-
-Param1=$1
-LinkName=`echo $Param1 | sed -e 's/\.lnk$//'`
-FileName=`cat $Param1 | tr '[:cntrl:]' ' ' | \
- sed -e 's/ / /g' \
- -e 's/ / /g' \
- -e 's/ / /g' \
- -e 's/ / /g' \
- -e 's/ / /g' | \
- cut -f 4 -d ' '`
-
-ln -s $FileName $LinkName
-rm -f $Param1
+++ /dev/null
-#!/bin/sh
-#
-# File: mount
-# $Id$
-#
-# =====================================================================
-#
-# Copyright (C) 2006, 2007 by Keith Marshall
-# mailto:keithmarshall@users.sourceforge.net
-#
-# This file is part of MSYS
-# http://www.mingw.org/msys.shtml
-#
-# MSYS is free software. It is provided "as is", in the hope that it
-# may be useful; there is NO WARRANTY OF ANY KIND, not even an implied
-# warranty of MERCHANTABILITY or FITNESS FOR ANY PARTICULAR PURPOSE.
-# At no time will the author accept liability for damages, however
-# caused, resulting from the use of this software.
-#
-# Permission is granted to copy and redistribute this software, either
-# as is, or in modified form, provided that:--
-#
-# 1) All such copies are distributed with the same rights
-# of redistribution.
-#
-# 2) The preceding disclaimer of warranty and liabality is
-# retained verbatim, in all copies.
-#
-# 3) Accreditation of the original author remains in place.
-#
-# 4) Modified copies are clearly identified as such, with
-# additional accreditation given to the authors of each
-# modified version.
-#
-# =====================================================================
-#
-#
-# Ensure the the `fstab' mount registry exists, and is writeable.
-#
- >> ${MNTTAB="/etc/fstab"}
-#
-# Select the operation to be performed, based on number of argumemnts.
-#
- case $# in
- 0)
-#
-# No arguments specified...
-# Simply report the current state of the mount table.
-#
- /bin/msysmnt.exe ;;
-#
- 1)
-#
-# One argument specified...
-# Check for any pre-existing mount which may conflict; if none,
-# try to match it to a default mount specification from the `fstab'
-# configuration file, and mount the specified directory, if any,
-# on its associated mount point.
-#
- FSTAB=${FSTAB-"$MNTTAB.conf"}
- MNTPATH=`echo "$1" | tr '\\\\' /`
-#
- if cat $MNTTAB | tr '\\' / | awk '
-#
-# Check for pre-existing mount of specified argument;
-# set exit status to:--
-# 0: if no such mount exists;
-# 1: if argument is an already mounted directory;
-# 2: if argument is a mount point already in use.
-#
- BEGIN { status = 0 }
- /^#/ { $0 = "" }
- $1 == "'$MNTPATH'" { status = 1 }
- $2 == "'$MNTPATH'" { status = 2 }
- END { exit status }'
- then
-#
-# No pre-existing mount conflicts...
-#
- if WINPATH=`cat 2>/dev/null $FSTAB | tr '\\' / | awk '
-#
-# Look up the default mount point specification;
-# set exit status, (assigned to "errno"), to:--
-# 0: if found; (it is assigned to WINPATH);
-# 1: if found, but multiply and ambiguously defined;
-# 2: if not found.
-#
- BEGIN { status = 0; mount = "" }
- /^#/ { $0 = "" }
- $1 == "'$MNTPATH'" {
- if( mount == "" ) mount = $0
- else if( mount != $0 ) status = 1
- }
- $2 == "'$MNTPATH'" {
- if( mount == "" ) mount = $0
- else if( mount != $0 ) status = 1
- }
- END {
- if( mount == "" ) exit 2
- print mount
- exit status
- }'` errno=$?
- then
-#
-# Found a default mount specification; activate it.
-#
- echo $WINPATH >> $MNTTAB
-#
- elif test -f $FSTAB && test -r $FSTAB
- then
-#
-# Read the configuration file, but could not find
-# a mount specification matching the argument.
-#
- case $errno in
- 1) echo >&2 "$0: $FSTAB: ambiguous reference for $MNTPATH" ;;
- 2) echo >&2 "$0: $FSTAB: no mount specification for $MNTPATH" ;;
- esac
-#
- elif test -f $FSTAB
- then
-#
-# Found the configuration file, but could not read it.
-#
- echo >&2 "$0: $FSTAB: cannot read configuration file"
-#
- else
-#
-# Could not find the configuration file.
-#
- echo >&2 "$0: $FSTAB: configuration file not found"
- fi
-#
- else
-#
-# Found a conflicting active mount...
-# Display an appropriate diagnostic message, depending on
-# whether the argument represented a directory path name,
-# or a mount point, and bail out.
-#
- case $? in
- 1) echo >&2 "$0: '$MNTPATH' is already mounted" ;;
- 2) echo >&2 "$0: mount point '$MNTPATH' is already in use" ;;
- esac
- exit 1
- fi ;;
-#
- 2)
-#
-# Two arguments specified...
-# First is directory path name, second is mount point.
-#
- WINPATH=`echo "$1" | tr '\\\\' /`
- MNTPATH=`echo "$2" | tr '\\\\' /`
-#
- if cat $MNTTAB | tr '\\' / | awk '
-#
-# Check that the mount point is not already in use;
-# set exit status to:--
-# 0: if no existing mount table entry matches;
-# 1: if mount point already in mount table.
-#
- BEGIN { status = 0 }
- /^#/ { $0 = "" }
- $2 == "'$MNTPATH'" { status = 1 }
- END { exit status }'
- then
-#
-# Mount point not yet assigned...
-# Update the mount table, to include the new specification.
-#
- echo -e "$WINPATH\t$MNTPATH" >> "$MNTTAB"
-#
- else
-#
-# Specified mount point is already in use...
-# Diagnose, and bail out.
-#
- echo >&2 "$0: mount point '$MNTPATH' is already in use"
- exit 1
- fi ;;
-#
- *)
-#
-# More than two arguments specified...
-# Complain, and bail out.
-#
- echo >&2 "$0: incorrect number of arguments"
- echo >&2 "usage: mount [<win32path> <msyspath>]"
- exit 2 ;;
- esac
-#
-# On successful completion, ensure we set the exit status appropriately.
-#
- exit 0
-#
-# $RCSfile$: end of file
+++ /dev/null
-#!/bin/sh\r
-# This script has been placed in the public domain by its author, John Kane.\r
-# This file is part of MSYS\r
-# http://www.mingw.org/msys.shtml\r
-# File: msysinfo\r
-\r
-echo 'msysinfo-1.3: Send this to the MSYS support list:'\r
-echo ; echo 'MSYS '$(uname -rvmp)"; targ="$(uname -s|cut -d_ -f1)\r
-echo $(sh --version | grep -i '[0-9]\.[0-9]')"; ENV=${ENV:-.profile}"\r
-echo -n $(make --version | grep -i '[0-9]\.[0-9]' | cut -db -f1)""\r
-echo $(make --version | grep -i 'Built')"; MAKE_MODE=$MAKE_MODE"\r
-echo $(gcc --version | grep -i '[0-9]\.[0-9]')"; targ="$(uname -s|cut -d_ -f1)\r
-ld --version | grep -i '[0-9]\.[0-9]'\r
-ls -o --full-time /bin/msys*.dll | cut -c 25-\r
-ls -o --full-time $(type -p make).exe | cut -c 25-\r
-ls -o --full-time $(type -p gcc).exe | cut -c 25-\r
-ls -o --full-time $(type -p ld).exe | cut -c 25-\r
-echo "HOME=$HOME"\r
-echo "Sysname=$(uname --sysname) OSTYPE=$OSTYPE TERM=$TERM"\r
-echo "PATH=$PATH" | fold -w 64 ; echo "$ ls -tx $PWD" ; ls -tAxFw64\r
-if [ "$1" = "all" ] || [ "$1" = "long" ] ; then\r
- echo ; md5sum -b /bin/msys*.dll ; md5sum -b $(type -p make).exe\r
- md5sum -b $(type -p gcc).exe ; md5sum -b $(type -p ld).exe\r
- echo ; echo "In /etc/fstab:" ; cat /etc/fstab | grep '/'\r
- echo ; echo "In /etc/profile:" ; cat /etc/profile | grep -i 'export'\r
- echo ; grep -a '%%%' /bin/msys*.dll\r
- echo ; set | fold -sw 64\r
- echo ; echo '$ msysinfo all >msysinfo.txt will save this to a file'\r
-fi
\ No newline at end of file
+++ /dev/null
-<?xml version="1.0" encoding="UTF-8" standalone="yes"?>
-<assembly xmlns="urn:schemas-microsoft-com:asm.v1" manifestVersion="1.0">
- <v3:trustInfo xmlns:v3="urn:schemas-microsoft-com:asm.v3">
- <v3:security>
- <v3:requestedPrivileges>
- <v3:requestedExecutionLevel level="asInvoker" />
- </v3:requestedPrivileges>
- </v3:security>
- </v3:trustInfo>
-</assembly>
+++ /dev/null
-#!/bin/sh
-# Copyright (C) 2002, Earnie Boyd
-# mailto:earnie@users.sf.net
-# This file is part of MSYS
-# http://www.mingw.org/msys.shtml
-# File: printf
-
-printf "$@"
+++ /dev/null
-#!/bin/sh
-# Copyright (C) 2002, Earnie Boyd
-# mailto:earnie@users.sf.net
-# This file is part of MSYS
-# http://www.mingw.org/msys.shtml
-# File: pwd
-
-pwd "$@"
+++ /dev/null
-#! /bin/sh
-# Copyright (C) 2002, Earnie Boyd
-# mailto:earnie@uses.sf.net
-# This file is a part of Minimal SYStem
-# http://www.mingw.org/msys.shtml
-# File: rvi
-
-exec vim -Z "$@"
+++ /dev/null
-#! /bin/sh
-# Copyright (C) 2002, Earnie Boyd
-# mailto:earnie@users.sf.net
-# This file is a part of Minimal SYStem
-# http://www.mingw.org/msys.shtml
-# File: rview
-
-exec vim -ZR "$@"
+++ /dev/null
-#! /bin/sh
-# Copyright (C) 2002, Earnie Boyd
-# mailto:earnie@users.sf.net
-# This file is a part of Minimal SYStem
-# http://www.mingw.org/msys.shtml
-# File: rvim
-
-exec vim -Z "$@"
+++ /dev/null
-#!/bin/sh
-# Copyright (C) 2002, Earnie Boyd
-# mailto:earnie@users.sf.net
-# This file is part of Minimal SYStem.
-# http://www.mingw.org/msys.shtml
-# File: start
-
-cmd //c start "$@"
+++ /dev/null
-#! /bin/sh
-# texi2dvi --- produce DVI (or PDF) files from Texinfo (or LaTeX) sources.
-# $Id: texi2dvi,v 1.1 2002/12/05 21:07:19 earnie Exp $
-#
-# Copyright (C) 1992, 1993, 1994, 1995, 1996, 1997, 1998, 1999, 2001,
-# 2002 Free Software Foundation, Inc.
-#
-# This program is free software; you can redistribute it and/or modify
-# it under the terms of the GNU General Public License as published by
-# the Free Software Foundation; either version 2, or (at your option)
-# any later version.
-#
-# This program is distributed in the hope that it will be useful,
-# but WITHOUT ANY WARRANTY; without even the implied warranty of
-# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
-# GNU General Public License for more details.
-#
-# You should have received a copy of the GNU General Public License
-# along with this program; if not, you can either send email to this
-# program's maintainer or write to: The Free Software Foundation,
-# Inc.; 59 Temple Place, Suite 330; Boston, MA 02111-1307, USA.
-#
-# Original author: Noah Friedman <friedman@gnu.org>.
-#
-# Please send bug reports, etc. to bug-texinfo@gnu.org.
-# If possible, please send a copy of the output of the script called with
-# the `--debug' option when making a bug report.
-
-# This string is expanded by rcs automatically when this file is checked out.
-rcs_revision='$Revision: 1.1 $'
-rcs_version=`set - $rcs_revision; echo $2`
-program=`echo $0 | sed -e 's!.*/!!'`
-version="texi2dvi (GNU Texinfo 4.3) $rcs_version
-
-Copyright (C) 2002 Free Software Foundation, Inc.
-There is NO warranty. You may redistribute this software
-under the terms of the GNU General Public License.
-For more information about these matters, see the files named COPYING."
-
-usage="Usage: $program [OPTION]... FILE...
-
-Run each Texinfo or LaTeX FILE through TeX in turn until all
-cross-references are resolved, building all indices. The directory
-containing each FILE is searched for included files. The suffix of FILE
-is used to determine its language (LaTeX or Texinfo).
-
-Makeinfo is used to perform Texinfo macro expansion before running TeX
-when needed.
-
-Operation modes:
- -b, --batch no interaction
- -c, --clean remove all auxiliary files
- -D, --debug turn on shell debugging (set -x)
- -h, --help display this help and exit successfully
- -o, --output=OFILE leave output in OFILE (implies --clean);
- Only one input FILE may be specified in this case
- -q, --quiet no output unless errors (implies --batch)
- -s, --silent same as --quiet
- -v, --version display version information and exit successfully
- -V, --verbose report on what is done
-
-TeX tuning:
- -@ use @input instead of \input; for preloaded Texinfo
- -e, -E, --expand force macro expansion using makeinfo
- -I DIR search DIR for Texinfo files
- -l, --language=LANG specify the LANG of FILE (LaTeX or Texinfo)
- -p, --pdf use pdftex or pdflatex for processing
- -t, --texinfo=CMD insert CMD after @setfilename in copy of input file
- multiple values accumulate
-
-The values of the BIBTEX, LATEX (or PDFLATEX), MAKEINDEX, MAKEINFO,
-TEX (or PDFTEX), and TEXINDEX environment variables are used to run
-those commands, if they are set.
-
-Email bug reports to <bug-texinfo@gnu.org>,
-general questions and discussion to <help-texinfo@gnu.org>.
-Texinfo home page: http://www.gnu.org/software/texinfo/"
-
-# Initialize variables for option overriding and otherwise.
-# Don't use `unset' since old bourne shells don't have this command.
-# Instead, assign them an empty value.
-batch=false # eval for batch mode
-clean=
-debug=
-escape='\'
-expand= # t for expansion via makeinfo
-miincludes= # makeinfo include path
-oformat=dvi
-oname= # --output
-quiet= # by default let the tools' message be displayed
-set_language=
-textra=
-tmpdir=${TMPDIR:-/tmp}/t2d$$ # avoid collisions on 8.3 filesystems.
-txincludes= # TEXINPUTS extensions, with trailing colon
-txiprereq=19990129 # minimum texinfo.tex version to have macro expansion
-verbose=false # echo for verbose mode
-
-orig_pwd=`pwd`
-
-# Systems which define $COMSPEC or $ComSpec use semicolons to separate
-# directories in TEXINPUTS.
-if test -n "$COMSPEC$ComSpec"; then
- path_sep=";"
-else
- path_sep=":"
-fi
-
-# Pacify verbose cds.
-CDPATH=${ZSH_VERSION+.}$path_sep
-
-# Save this so we can construct a new TEXINPUTS path for each file.
-TEXINPUTS_orig="$TEXINPUTS"
-# Unfortunately makeindex does not read TEXINPUTS.
-INDEXSTYLE_orig="$INDEXSTYLE"
-export TEXINPUTS INDEXSTYLE
-
-# Push a token among the arguments that will be used to notice when we
-# ended options/arguments parsing.
-# Use "set dummy ...; shift" rather than 'set - ..." because on
-# Solaris set - turns off set -x (but keeps set -e).
-# Use ${1+"$@"} rather than "$@" because Digital Unix and Ultrix 4.3
-# still expand "$@" to a single argument (the empty string) rather
-# than nothing at all.
-arg_sep="$$--$$"
-set dummy ${1+"$@"} "$arg_sep"; shift
-
-# \f
-# Parse command line arguments.
-while test x"$1" != x"$arg_sep"; do
-
- # Handle --option=value by splitting apart and putting back on argv.
- case "$1" in
- --*=*)
- opt=`echo "$1" | sed -e 's/=.*//'`
- val=`echo "$1" | sed -e 's/[^=]*=//'`
- shift
- set dummy "$opt" "$val" ${1+"$@"}; shift
- ;;
- esac
-
- # This recognizes --quark as --quiet. So what.
- case "$1" in
- -@ ) escape=@;;
- # Silently and without documentation accept -b and --b[atch] as synonyms.
- -b | --b*) batch=eval;;
- -q | -s | --q* | --s*) quiet=t; batch=eval;;
- -c | --c*) clean=t;;
- -D | --d*) debug=t;;
- -e | -E | --e*) expand=t;;
- -h | --h*) echo "$usage"; exit 0;;
- -I | --I*)
- shift
- miincludes="$miincludes -I $1"
- txincludes="$txincludes$1$path_sep"
- ;;
- -l | --l*) shift; set_language=$1;;
- -o | --o*)
- shift
- clean=t
- case "$1" in
- /* | ?:/*) oname=$1;;
- *) oname="$orig_pwd/$1";;
- esac;;
- -p | --p*) oformat=pdf;;
- -t | --t*) shift; textra="$textra\\
-$1";;
- -v | --vers*) echo "$version"; exit 0;;
- -V | --verb*) verbose=echo;;
- --) # What remains are not options.
- shift
- while test x"$1" != x"$arg_sep"; do
- set dummy ${1+"$@"} "$1"; shift
- shift
- done
- break;;
- -*)
- echo "$0: Unknown or ambiguous option \`$1'." >&2
- echo "$0: Try \`--help' for more information." >&2
- exit 1;;
- *) set dummy ${1+"$@"} "$1"; shift;;
- esac
- shift
-done
-# Pop the token
-shift
-
-# Interpret remaining command line args as filenames.
-case $# in
- 0)
- echo "$0: Missing file arguments." >&2
- echo "$0: Try \`--help' for more information." >&2
- exit 2
- ;;
- 1) ;;
- *)
- if test -n "$oname"; then
- echo "$0: Can't use option \`--output' with more than one argument." >&2
- exit 2
- fi
- ;;
-esac
-
-# Prepare the temporary directory. Remove it at exit, unless debugging.
-if test -z "$debug"; then
- trap "cd / && rm -rf $tmpdir" 0 1 2 15
-fi
-
-# Create the temporary directory with strict rights
-(umask 077 && mkdir $tmpdir) || exit 1
-
-# Prepare the tools we might need. This may be extra work in some
-# cases, but improves the readibility of the script.
-utildir=$tmpdir/utils
-mkdir $utildir || exit 1
-
-# A sed script that preprocesses Texinfo sources in order to keep the
-# iftex sections only. We want to remove non TeX sections, and
-# comment (with `@c texi2dvi') TeX sections so that makeinfo does not
-# try to parse them. Nevertheless, while commenting TeX sections,
-# don't comment @macro/@end macro so that makeinfo does propagate
-# them. Unfortunately makeinfo --iftex --no-ifhtml --no-ifinfo
-# doesn't work well enough (yet) to use that, so work around with sed.
-comment_iftex_sed=$utildir/comment.sed
-cat <<EOF >$comment_iftex_sed
-/^@tex/,/^@end tex/{
- s/^/@c texi2dvi/
-}
-/^@iftex/,/^@end iftex/{
- s/^/@c texi2dvi/
- /^@c texi2dvi@macro/,/^@c texi2dvi@end macro/{
- s/^@c texi2dvi//
- }
-}
-/^@html/,/^@end html/{
- s/^/@c (texi2dvi)/
-}
-/^@ifhtml/,/^@end ifhtml/{
- s/^/@c (texi2dvi)/
-}
-/^@ifnottex/,/^@end ifnottex/{
- s/^/@c (texi2dvi)/
-}
-/^@ifinfo/,/^@end ifinfo/{
- /^@node/p
- /^@menu/,/^@end menu/p
- t
- s/^/@c (texi2dvi)/
-}
-s/^@ifnotinfo/@c texi2dvi@ifnotinfo/
-s/^@end ifnotinfo/@c texi2dvi@end ifnotinfo/
-EOF
-# Uncommenting is simple: Remove any leading `@c texi2dvi'.
-uncomment_iftex_sed=$utildir/uncomment.sed
-cat <<EOF >$uncomment_iftex_sed
-s/^@c texi2dvi//
-EOF
-
-# A shell script that computes the list of xref files.
-# Takes the filename (without extension) of which we look for xref
-# files as argument. The index files must be reported last.
-get_xref_files=$utildir/get_xref.sh
-cat <<\EOF >$get_xref_files
-#! /bin/sh
-
-# Get list of xref files (indexes, tables and lists).
-# Find all files having root filename with a two-letter extension,
-# saves the ones that are really Texinfo-related files. .?o? catches
-# many files: .toc, .log, LaTeX tables and lists, FiXme's .lox, maybe more.
-for this_file in "$1".?o? "$1".aux "$1".?? "$1".idx; do
- # If file is empty, skip it.
- test -s "$this_file" || continue
- # If the file is not suitable to be an index or xref file, don't
- # process it. The file can't be if its first character is not a
- # backslash or single quote.
- first_character=`sed -n '1s/^\(.\).*$/\1/p;q' $this_file`
- if test "x$first_character" = "x\\" \
- || test "x$first_character" = "x'"; then
- xref_files="$xref_files ./$this_file"
- fi
-done
-echo "$xref_files"
-EOF
-chmod 500 $get_xref_files
-
-# File descriptor usage:
-# 0 standard input
-# 1 standard output (--verbose messages)
-# 2 standard error
-# 3 some systems may open it to /dev/tty
-# 4 used on the Kubota Titan
-# 5 tools output (turned off by --quiet)
-
-# Tools' output. If quiet, discard, else redirect to the message flow.
-if test "$quiet" = t; then
- exec 5>/dev/null
-else
- exec 5>&1
-fi
-
-# Enable tracing
-test "$debug" = t && set -x
-
-# \f
-# TeXify files.
-
-for command_line_filename in ${1+"$@"}; do
- $verbose "Processing $command_line_filename ..."
-
- # If the COMMAND_LINE_FILENAME is not absolute (e.g., --debug.tex),
- # prepend `./' in order to avoid that the tools take it as an option.
- echo "$command_line_filename" | egrep '^(/|[A-z]:/)' >/dev/null \
- || command_line_filename="./$command_line_filename"
-
- # See if the file exists. If it doesn't we're in trouble since, even
- # though the user may be able to reenter a valid filename at the tex
- # prompt (assuming they're attending the terminal), this script won't
- # be able to find the right xref files and so forth.
- if test ! -r "$command_line_filename"; then
- echo "$0: Could not read $command_line_filename, skipping." >&2
- continue
- fi
-
- # Get the name of the current directory. We want the full path
- # because in clean mode we are in tmp, in which case a relative
- # path has no meaning.
- filename_dir=`echo $command_line_filename | sed 's!/[^/]*$!!;s!^$!.!'`
- filename_dir=`cd "$filename_dir" >/dev/null && pwd`
-
- # Strip directory part but leave extension.
- filename_ext=`basename "$command_line_filename"`
- # Strip extension.
- filename_noext=`echo "$filename_ext" | sed 's/\.[^.]*$//'`
- ext=`echo "$filename_ext" | sed 's/^.*\.//'`
-
- # _src. Use same basename since we want to generate aux files with
- # the same basename as the manual. If --expand, then output the
- # macro-expanded file to here, else copy the original file.
- tmpdir_src=$tmpdir/src
- filename_src=$tmpdir_src/$filename_noext.$ext
-
- # _xtr. The file with the user's extra commands.
- tmpdir_xtr=$tmpdir/xtr
- filename_xtr=$tmpdir_xtr/$filename_noext.$ext
-
- # _bak. Copies of the previous xref files (another round is run if
- # they differ from the new one).
- tmpdir_bak=$tmpdir/bak
-
- # Make all those directories and give up if we can't succeed.
- mkdir $tmpdir_src $tmpdir_xtr $tmpdir_bak || exit 1
-
- # Source file might include additional sources.
- # We want `.:$orig_pwd' before anything else. (We'll add `.:' later
- # after all other directories have been turned into absolute paths.)
- # `.' goes first to ensure that any old .aux, .cps,
- # etc. files in ${directory} don't get used in preference to fresher
- # files in `.'. Include orig_pwd in case we are in clean mode, where
- # we've cd'd to a temp directory.
- common="$orig_pwd$path_sep$filename_dir$path_sep$txincludes"
- TEXINPUTS="$common$TEXINPUTS_orig"
- INDEXSTYLE="$common$INDEXSTYLE_orig"
-
- # Convert relative paths to absolute paths, so we can run in another
- # directory (e.g., in --clean mode, or during the macro-support
- # detection.)
- #
- # Empty path components are meaningful to tex. We rewrite them
- # as `EMPTY' so they don't get lost when we split on $path_sep.
- TEXINPUTS=`echo $TEXINPUTS |sed 's/^:/EMPTY:/;s/:$/:EMPTY/;s/::/:EMPTY:/g'`
- INDEXSTYLE=`echo $INDEXSTYLE |sed 's/^:/EMPTY:/;s/:$/:EMPTY/;s/::/:EMPTY:/g'`
- save_IFS=$IFS
- IFS=$path_sep
- set x $TEXINPUTS; shift
- TEXINPUTS=.
- for dir
- do
- case $dir in
- EMPTY)
- TEXINPUTS=$TEXINPUTS$path_sep
- ;;
- [\\/]* | ?:[\\/]*) # Absolute paths don't need to be expansed.
- TEXINPUTS=$TEXINPUTS$path_sep$dir
- ;;
- *)
- abs=`cd "$dir" && pwd` && TEXINPUTS=$TEXINPUTS$path_sep$abs
- ;;
- esac
- done
- set x $INDEXSTYLE; shift
- INDEXSTYLE=.
- for dir
- do
- case $dir in
- EMPTY)
- INDEXSTYLE=$INDEXSTYLE$path_sep
- ;;
- [\\/]* | ?:[\\/]*) # Absolute paths don't need to be expansed.
- INDEXSTYLE=$INDEXSTYLE$path_sep$dir
- ;;
- *)
- abs=`cd "$dir" && pwd` && INDEXSTYLE=$INDEXSTYLE$path_sep$abs
- ;;
- esac
- done
- IFS=$save_IFS
-
- # If the user explicitly specified the language, use that.
- # Otherwise, if the first line is \input texinfo, assume it's texinfo.
- # Otherwise, guess from the file extension.
- if test -n "$set_language"; then
- language=$set_language
- elif sed 1q "$command_line_filename" | fgrep 'input texinfo' >/dev/null; then
- language=texinfo
- else
- language=
- fi
-
- # Get the type of the file (latex or texinfo) from the given language
- # we just guessed, or from the file extension if not set yet.
- case ${language:-$filename_ext} in
- [lL]a[tT]e[xX] | *.ltx | *.tex)
- # Assume a LaTeX file. LaTeX needs bibtex and uses latex for
- # compilation. No makeinfo.
- bibtex=${BIBTEX:-bibtex}
- makeinfo= # no point in running makeinfo on latex source.
- texindex=${MAKEINDEX:-makeindex}
- if test $oformat = dvi; then
- tex=${LATEX:-latex}
- else
- tex=${PDFLATEX:-pdflatex}
- fi
- ;;
-
- *)
- # Assume a Texinfo file. Texinfo files need makeinfo, texindex and tex.
- bibtex=
- texindex=${TEXINDEX:-texindex}
- if test $oformat = dvi; then
- tex=${TEX:-tex}
- else
- tex=${PDFTEX:-pdftex}
- fi
- # Unless required by the user, makeinfo expansion is wanted only
- # if texinfo.tex is too old.
- if test "$expand" = t; then
- makeinfo=${MAKEINFO:-makeinfo}
- else
- # Check if texinfo.tex performs macro expansion by looking for
- # its version. The version is a date of the form YEAR-MO-DA.
- # We don't need to use [0-9] to match the digits since anyway
- # the comparison with $txiprereq, a number, will fail with non
- # digits.
- txiversion_tex=txiversion.tex
- echo '\input texinfo.tex @bye' >$tmpdir/$txiversion_tex
- # Run in the tmpdir to avoid leaving files.
- eval `cd $tmpdir >/dev/null &&
- $tex $txiversion_tex 2>/dev/null |
- sed -n 's/^.*\[\(.*\)version \(....\)-\(..\)-\(..\).*$/txiformat=\1 txiversion="\2\3\4"/p'`
- $verbose "texinfo.tex preloaded as \`$txiformat', version is \`$txiversion' ..."
- if test "$txiprereq" -le "$txiversion" >/dev/null 2>&1; then
- makeinfo=
- else
- makeinfo=${MAKEINFO:-makeinfo}
- fi
- # As long as we had to run TeX, offer the user this convenience
- if test "$txiformat" = Texinfo; then
- escape=@
- fi
- fi
- ;;
- esac
-
- # Expand macro commands in the original source file using Makeinfo.
- # Always use `end' footnote style, since the `separate' style
- # generates different output (arguably this is a bug in -E).
- # Discard main info output, the user asked to run TeX, not makeinfo.
- if test -n "$makeinfo"; then
- $verbose "Macro-expanding $command_line_filename to $filename_src ..."
- sed -f $comment_iftex_sed "$command_line_filename" \
- | $makeinfo --footnote-style=end -I "$filename_dir" $miincludes \
- -o /dev/null --macro-expand=- \
- | sed -f $uncomment_iftex_sed >"$filename_src"
- filename_input=$filename_src
- fi
-
- # If makeinfo failed (or was not even run), use the original file as input.
- if test $? -ne 0 \
- || test ! -r "$filename_src"; then
- $verbose "Reverting to $command_line_filename ..."
- filename_input=$filename_dir/$filename_ext
- fi
-
- # Used most commonly for @finalout, @smallbook, etc.
- if test -n "$textra"; then
- $verbose "Inserting extra commands: $textra"
- sed '/^@setfilename/a\
-'"$textra" "$filename_input" >$filename_xtr
- filename_input=$filename_xtr
- fi
-
- # If clean mode was specified, then move to the temporary directory.
- if test "$clean" = t; then
- $verbose "cd $tmpdir_src"
- cd "$tmpdir_src" || exit 1
- fi
-
- while :; do # will break out of loop below
- orig_xref_files=`$get_xref_files "$filename_noext"`
-
- # Save copies of originals for later comparison.
- if test -n "$orig_xref_files"; then
- $verbose "Backing up xref files: `echo $orig_xref_files | sed 's|\./||g'`"
- cp $orig_xref_files $tmpdir_bak
- fi
-
- # Run bibtex on current file.
- # - If its input (AUX) exists.
- # - If AUX contains both `\bibdata' and `\bibstyle'.
- # - If some citations are missing (LOG contains `Citation').
- # or the LOG complains of a missing .bbl
- #
- # We run bibtex first, because I can see reasons for the indexes
- # to change after bibtex is run, but I see no reason for the
- # converse.
- #
- # Don't try to be too smart. Running bibtex only if the bbl file
- # exists and is older than the LaTeX file is wrong, since the
- # document might include files that have changed. Because there
- # can be several AUX (if there are \include's), but a single LOG,
- # looking for missing citations in LOG is easier, though we take
- # the risk to match false messages.
- if test -n "$bibtex" \
- && test -r "$filename_noext.aux" \
- && test -r "$filename_noext.log" \
- && (grep '^\\bibdata[{]' "$filename_noext.aux" \
- && grep '^\\bibstyle[{]' "$filename_noext.aux" \
- && (grep 'Warning:.*Citation.*undefined' "$filename_noext.log" \
- || grep 'No file .*\.bbl\.' "$filename_noext.log")) \
- >/dev/null 2>&1; \
- then
- $verbose "Running $bibtex $filename_noext ..."
- if $bibtex "$filename_noext" >&5; then :; else
- echo "$0: $bibtex exited with bad status, quitting." >&2
- exit 1
- fi
- fi
-
- # What we'll run texindex on -- exclude non-index files.
- # Since we know index files are last, it is correct to remove everything
- # before .aux and .?o?. But don't really do <anything>o<anything>
- # -- don't match whitespace as <anything>.
- # Otherwise, if orig_xref_files contains something like
- # foo.xo foo.whatever
- # the space after the o will get matched.
- index_files=`echo "$orig_xref_files" \
- | sed "s!.*\.aux!!g;
- s!./$filename_noext\.[^ ]o[^ ]!!g;
- s/^[ ]*//;s/[ ]*$//"`
- # Run texindex (or makeindex) on current index files. If they
- # already exist, and after running TeX a first time the index
- # files don't change, then there's no reason to run TeX again.
- # But we won't know that if the index files are out of date or
- # nonexistent.
- if test -n "$texindex" && test -n "$index_files"; then
- $verbose "Running $texindex $index_files ..."
- if $texindex $index_files 2>&5 1>&2; then :; else
- echo "$0: $texindex exited with bad status, quitting." >&2
- exit 1
- fi
- fi
-
- # Finally, run TeX.
- # Prevent $ESCAPE from being interpreted by the shell if it happens
- # to be `/'.
- $batch tex_args="\\${escape}nonstopmode\ \\${escape}input"
- cmd="$tex $tex_args $filename_input"
- $verbose "Running $cmd ..."
- if $cmd >&5; then :; else
- echo "$0: $tex exited with bad status, quitting." >&2
- echo "$0: see $filename_noext.log for errors." >&2
- test "$clean" = t \
- && cp "$filename_noext.log" "$orig_pwd"
- exit 1
- fi
-
-
- # Decide if looping again is needed.
- finished=t
-
- # LaTeX (and the package changebar) report in the LOG file if it
- # should be rerun. This is needed for files included from
- # subdirs, since texi2dvi does not try to compare xref files in
- # subdirs. Performing xref files test is still good since LaTeX
- # does not report changes in xref files.
- if fgrep "Rerun to get" "$filename_noext.log" >/dev/null 2>&1; then
- finished=
- fi
-
- # Check if xref files changed.
- new_xref_files=`$get_xref_files "$filename_noext"`
- $verbose "Original xref files = `echo $orig_xref_files | sed 's|\./||g'`"
- $verbose "New xref files = `echo $new_xref_files | sed 's|\./||g'`"
-
- # If old and new lists don't at least have the same file list,
- # then one file or another has definitely changed.
- test "x$orig_xref_files" != "x$new_xref_files" && finished=
-
- # File list is the same. We must compare each file until we find
- # a difference.
- if test -n "$finished"; then
- for this_file in $new_xref_files; do
- $verbose "Comparing xref file `echo $this_file | sed 's|\./||g'` ..."
- # cmp -s returns nonzero exit status if files differ.
- if cmp -s "$this_file" "$tmpdir_bak/$this_file"; then :; else
- # We only need to keep comparing until we find one that
- # differs, because we'll have to run texindex & tex again no
- # matter how many more there might be.
- finished=
- $verbose "xref file `echo $this_file | sed 's|\./||g'` differed ..."
- test "$debug" = t && diff -c "$tmpdir_bak/$this_file" "$this_file"
- break
- fi
- done
- fi
-
- # If finished, exit the loop, else rerun the loop.
- test -n "$finished" && break
- done
-
- # If we were in clean mode, compilation was in a tmp directory.
- # Copy the DVI (or PDF) file into the directory where the compilation
- # has been done. (The temp dir is about to get removed anyway.)
- # We also return to the original directory so that
- # - the next file is processed in correct conditions
- # - the temporary file can be removed
- if test -n "$clean"; then
- if test -n "$oname"; then
- dest=$oname
- else
- dest=$orig_pwd
- fi
- $verbose "Copying $oformat file from `pwd` to $dest"
- cp -p "./$filename_noext.$oformat" "$dest"
- cd / # in case $orig_pwd is on a different drive (for DOS)
- cd $orig_pwd || exit 1
- fi
-
- # Remove temporary files.
- if test "x$debug" = "x"; then
- $verbose "Removing $tmpdir_src $tmpdir_xtr $tmpdir_bak ..."
- cd /
- rm -rf $tmpdir_src $tmpdir_xtr $tmpdir_bak
- fi
-done
-
-$verbose "$0 done."
-exit 0 # exit successfully, not however we ended the loop.
+++ /dev/null
-#!/bin/sh
-#
-# File: umount
-# $Id$
-#
-# =====================================================================
-#
-# Copyright (C) 2006, 2007 by Keith Marshall
-# mailto:keithmarshall@users.sourceforge.net
-#
-# This file is part of MSYS
-# http://www.mingw.org/msys.shtml
-#
-# MSYS is free software. It is provided "as is", in the hope that it
-# may be useful; there is NO WARRANTY OF ANY KIND, not even an implied
-# warranty of MERCHANTABILITY or FITNESS FOR ANY PARTICULAR PURPOSE.
-# At no time will the author accept liability for damages, however
-# caused, resulting from the use of this software.
-#
-# Permission is granted to copy and redistribute this software, either
-# as is, or in modified form, provided that:--
-#
-# 1) All such copies are distributed with the same rights
-# of redistribution.
-#
-# 2) The preceding disclaimer of warranty and liabality is
-# retained verbatim, in all copies.
-#
-# 3) Accreditation of the original author remains in place.
-#
-# 4) Modified copies are clearly identified as such, with
-# additional accreditation given to the authors of each
-# modified version.
-#
-# =====================================================================
-#
-# Exactly one argument is required...
-#
- if test $# -eq 1
- then
-#
-# Normally, it specifies the mount point to be released,
-# but it may also represent a mounted directory path name,
-# for which all bound mount points are to be filtered out
-# of the "mount table" file.
-#
- MNTPATH=`echo "$1" | tr '\\\\' /`
- TMPFILE=${TMPDIR-"/tmp"}/mnttab$$.tmp
- MNTTAB=${MNTTAB-"/etc/fstab"}
-#
- if cat "$MNTTAB" | tr '\\' / | awk '
-#
-# Copy the "mount table" to a temporary file, filtering
-# out all active mount point records which match MNTPATH,
-# (the specified argument); set exit status to:--
-# 0: if at least one mount point is matched;
-# 1: if no match is found.
-#
- BEGIN { status = 1 }
- { keep = $0 }
- /^#/ { print; keep = "no"; $0 = "!'$MNTPATH'" }
- $2 == "'$MNTPATH'" { keep = "no"; status = 0 }
- { $2 = "!" } $0 == "'$MNTPATH' !" { keep = "no"; status = 0 }
- keep != "no" { print keep }
- END { exit status }' > "$TMPFILE"
- then
-#
-# At least one mount point was selected to release...
-# Replace the active "mount table" file with the regenerated
-# copy, so completing the operation.
-#
- cp "$TMPFILE" "$MNTTAB"
- rm -f "$TMPFILE"
-#
- else
-#
-# No active mount point matched the specified argument...
-# Discard the temporary file, complain, and bail out.
-#
- rm -f "$TMPFILE"
- echo >&2 "$0: '$1' is not mounted"
- exit 1
- fi
-#
- else
-#
-# The command line did not specify exactly one argument...
-# Complain, and bail out.
-#
- echo >&2 "$0: incorrect number of arguments"
- echo >&2 "usage: umount <path>"
- exit 2
- fi
-#
-# On successful completion, ensure we set the exit status appropriately.
-#
- exit 0
-#
-# $RCSfile$: end of file
+++ /dev/null
-#! /bin/sh
-# Copyright (C) 2002, Earnie Boyd
-# mailto:earnie@users.sf.net
-# This file is a part of Minimal SYStem
-# http://www.mingw.org/msys.shtml
-# File: vi
-
-exec vim "$@"
+++ /dev/null
-#! /bin/sh
-# Copyright (C) 2002, Earnie Boyd
-# mailto:earnie@users.sf.net
-# This file is a part of Minimal SYStem
-# http://www.mingw.org/msys.shtml
-# File: view
-
-exec vim -R "$@"
+++ /dev/null
-#!/bin/sh
-# Original copyright (C) 2002, Earnie Boyd
-# mailto:earnie@users.sf.net
-# This implementation copyright (C) 2006, 2008, Keith Marshall
-# mailto:keithmarshall@users.sf.net
-#
-# This file is part of MSYS
-# http://www.mingw.org/msys.shtml
-#
-# File: which
-# $Id: which,v 1.4 2009/03/14 14:13:32 keithmarshall Exp $
-
-CMD=`IFS='\\/:'; set CMD $0; eval echo \$\{$#\}`
-if test $# -lt 1
-then
- echo >&2 "$CMD: syntax error: missing argument"
- echo >&2 "Usage: $CMD [ -a | --all ] cmd ..."
- exit 1
-fi
-
-# To accomodate Woe32's typically asinine $PATH, which frequently
-# includes directory names with embedded spaces, we need to set up
-# $IFS to consider only a newline as a field separator.
-IFS=$'\n'
-
-break=break
-for PROG
-do
- if test x"$PROG" = x-a || test x"$PROG" = x--all
- then
- break=""
- else
- WHICH=""
- # need `type -ap -- "$PROG" || type -p -- "$PROG"'
- # because `type -ap foo' reports nothing, if both `foo' and `foo.exe'
- # are present, and are distinct.
- for LIST in `type -ap -- "$PROG" || type -p -- "$PROG"`
- do
- if test -f "$LIST"
- then
- # preserve `.exe' extension
- WHICH="$LIST"`test -f "$LIST.exe" && echo '.exe'`
- if test "$LIST" != "$WHICH"
- then
- # detect distinct `foo' and `foo.exe'
- # (this needs IFS=<space>, to get the INODE numbers)
- IFS=" " INODE1=`ls -id "$LIST"` INODE2=`ls -id "$WHICH"`
- if test `set ref $INODE1; echo $2` != `set ref $INODE2; echo $2`
- then
- # `foo' matches first, followed by `foo.exe'
- test -z "$break" && echo "$LIST" || WHICH="$LIST"
- fi
- # reset IFS=<newline>, to get any further PROG names
- IFS=$'\n'
- fi
- echo "$WHICH"
- $break
- fi
- done
- test x"$WHICH" = x && echo >&2 "$CMD: $PROG: "${ERROR="unknown command"}
- fi
-done
-test ${ERROR+set} && exit 1
-exit 0
-
-# $RCSfile: which,v $: end of file
+++ /dev/null
-lt_cv_cc_dll_switch=${lt_cv_cc_dll_switch=-mdll}
-lt_cv_compiler_c_o=${lt_cv_compiler_c_o=yes}
-lt_cv_compiler_o_lo=${lt_cv_compiler_o_lo=yes}
-lt_cv_deplibs_check_method=${lt_cv_deplibs_check_method='file_magic file format pei*-i386(.*architecture: i386)?'}
-lt_cv_file_magic_cmd=${lt_cv_file_magic_cmd='$OBJDUMP -f'}
-lt_cv_file_magic_test_file=${lt_cv_file_magic_test_file=}
-test "${lt_cv_global_symbol_to_c_name_address+set}" = set || lt_cv_global_symbol_to_c_name_address='sed -n -e '\''s/^: \([^ ]*\) $/ {\"\1\", (lt_ptr) 0},/p'\'' -e '\''s/^[BCDEGRST] \([^ ]*\) \([^ ]*\)$/ {"\2", (lt_ptr) \&\2},/p'\'''
-lt_cv_global_symbol_to_cdecl=${lt_cv_global_symbol_to_cdecl='sed -n -e '\''s/^. .* \(.*\)$/extern char \1;/p'\'''}
-lt_cv_ld_reload_flag=${lt_cv_ld_reload_flag=-r}
-lt_cv_need_dllmain=${lt_cv_need_dllmain=no}
-lt_cv_prog_cc_can_build_shared=${lt_cv_prog_cc_can_build_shared=yes}
-lt_cv_prog_cc_no_builtin=${lt_cv_prog_cc_no_builtin=}
-lt_cv_prog_cc_pic=${lt_cv_prog_cc_pic=' -DDLL_EXPORT'}
-lt_cv_prog_cc_pic_works=${lt_cv_prog_cc_pic_works=yes}
-lt_cv_prog_cc_shlib=${lt_cv_prog_cc_shlib=}
-lt_cv_prog_cc_static=${lt_cv_prog_cc_static=-static}
-lt_cv_prog_cc_static_works=${lt_cv_prog_cc_static_works=yes}
-lt_cv_prog_cc_wl=${lt_cv_prog_cc_wl=-Wl,}
-lt_cv_prog_gnu_ld=${lt_cv_prog_gnu_ld=yes}
-lt_cv_sys_global_symbol_pipe=${lt_cv_sys_global_symbol_pipe=}
-lt_cv_sys_path_separator=${lt_cv_sys_path_separator=:}
+++ /dev/null
-#fstab.sample
-#This is a sample file for /etc/fstab.
-#Currently /etc/fstab is only read during dll initialization.
-#I will eventually watch the directory for changes and reread the file.
-#The line format is simple in that you give the Win32 path, followed by one or
-#more space or tab delimiter, followed by the mount point. Mount points in
-#typical UNIX environments must be a physical name on a drive before it can
-#actually be used as a mount point. In this implementation the "must exist"
-#requirement isn't enforced, however, it will be an aide to such programs as
-#find and readline's tab completion if it does exist.
-
-#You can use a # as the first character on the line as a comment indicator.
-#Blank lines are ignored.
-
-#Win32_Path Mount_Point
-c:/mingw /mingw
-c:/ActiveState/perl /perl
+++ /dev/null
-# Key-bindings for the command-line editor.
-
-# Ask before displaying >50 items
-# Since $WINDIR $PATH var can be in $PATH, this could list
-# all window exectables in C:\WINDOWS
-set completion-query-items 50
-
-# Ignore case for the command-line-completion functionality
-# on: default to a Windows style console
-# off: default to a *nix style console
-set completion-ignore-case on
-
-# none, visible or audible
-set bell-style audible
-
-# disable/enable 8bit input
-set meta-flag on
-set input-meta on
-set output-meta off
-set convert-meta on
-
-# visible-stats
-# Append a mark according to the file type in a listing
-set visible-stats off
-set mark-directories on
-
-# Show all instead of beeping first
-set show-all-if-ambiguous off
-
-# MSYSTEM is emacs based
-$if mode=emacs
- # Common to Console & RXVT
- "\C-?": backward-kill-line # Ctrl-BackSpace
- "\e[2~": paste-from-clipboard # "Ins. Key"
- "\e[5~": beginning-of-history # Page up
- "\e[6~": end-of-history # Page down
-
- $if term=msys # RXVT
- "\e[7~": beginning-of-line # Home Key
- "\e[8~": end-of-line # End Key
- "\e[11~": display-shell-version # F1\r
- "\e[15~": re-read-init-file # F5
- $endif
- $if term=cygwin # Console
- "\e[1~": beginning-of-line # Home Key
- "\e[4~": end-of-line # End Key\r
- $endif
-$endif
-
-
+++ /dev/null
-# Copyright (C) 2001, 2002 Earnie Boyd <earnie@users.sf.net>
-# This file is part of the Minimal SYStem.
-# http://www.mingw.org/msys.shtml
-#
-# File: profile
-# Description: Shell environment initialization script
-# Last Revised: 2002.05.04
-
-if [ -z "$MSYSTEM" ]; then
- MSYSTEM=MINGW32
-fi
-
-# My decision to add a . to the PATH and as the first item in the path list
-# is to mimick the Win32 method of finding executables.
-#
-# I filter the PATH value setting in order to get ready for self hosting the
-# MSYS runtime and wanting different paths searched first for files.
-if [ $MSYSTEM == MINGW32 ]; then
- export PATH=".:/usr/local/bin:/mingw/bin:/bin:$PATH"
-else
- export PATH=".:/usr/local/bin:/bin:/mingw/bin:$PATH"
-fi
-
-if [ -z "$USERNAME" ]; then
- LOGNAME="`id -un`"
-else
- LOGNAME="$USERNAME"
-fi
-
-# Set up USER's home directory
-if [ -z "$HOME" ]; then
- HOME="/home/$LOGNAME"
-fi
-
-if [ ! -d "$HOME" ]; then
- mkdir -p "$HOME"
- cp /etc/inputrc.default "$HOME"/.inputrc
-fi
-
-if [ "x$HISTFILE" == "x/.bash_history" ]; then
- HISTFILE=$HOME/.bash_history
-fi
-
-export HOME LOGNAME MSYSTEM HISTFILE
-
-for i in /etc/profile.d/*.sh ; do
- if [ -f $i ]; then
- . $i
- fi
-done
-
-export MAKE_MODE=unix
-export PS1='\[\033]0;$MSYSTEM:\w\007
-\033[32m\]\u@\h \[\033[33m\w\033[0m\]
-$ '
-
-alias clear=clsb
-
-cd "$HOME"
-
+++ /dev/null
-#### Specials
-#
-# Special "terminals". These are used to label tty lines when you don't
-# know what kind of terminal is on it. The characteristics of an unknown
-# terminal are the lowest common denominator - they look about like a ti 700.
-# The last one, "other", is like unknown but it allows an escape from software
-# that insists that a "real" unknown terminal is merely so far unspecified.
-#
-
-dumb:\
- :am:\
- :co#80:\
- :bl=^G:cr=^M:do=^J:sf=^J:
-unknown:\
- :gn:\
- :tc=dumb:
-other|none of the above, but not exactly unknown:\
- :am:gn:\
- :co#80:\
- :cl=^M^J:do=^J:ho=^M:
-
-arpanet|bussiplexer|dialup|ethernet|network|net|patch|plugboard|switch|network switch or dialup:\
- :tc=unknown:
-lpr|printer|print|printing|line printer:\
- :hc:os:\
- :co#132:li#66:\
- :bl=^G:cr=^M:do=^J:ff=^L:le=^H:sf=^J:
-
-#### ANSI terminals and terminal emulators
-#
-# See near the end of this file for details on ANSI conformance.
-# Don't mess with these entries! Lots of other entries depend on them!
-#
-# This section lists entries in a least-capable to most-capable order.
-# if you're in doubt about what `ANSI' matches yours, try them in that
-# order and back off from the first that breaks.
-
-# (ansi: changed ":pt:" to ":it#8:" -- esr)
-ansi-mini|any ansi terminal with pessimistic assumptions:\
- :am:bs:\
- :co#80:it#8:li#24:\
- :ce=\E[K:cl=\E[;H\E[2J:cm=\E[%i%d;%dH:do=\E[B:\
- :ho=\E[H:le=\E[D:nd=\E[C:up=\E[A:
-
-# Color controls corresponding to the ANSI.SYS de-facto standard
-# (This is not a standalone entry)
-ansi-pc-color:\
- :Co#8:NC#3:pa#64:\
- :AB=\E[4%p1%dm:AF=\E[3%p1%dm:\
- :..Sb=\E[4%?%p1%{1}%=%t4%e%p1%{3}%=%t6%e%p1%{4}%=%t1%e%p1%{6}%=%t3%e%p1%d%;m:\
- :..Sf=\E[3%?%p1%{1}%=%t4%e%p1%{3}%=%t6%e%p1%{4}%=%t1%e%p1%{6}%=%t3%e%p1%d%;m:\
- :op=\E[37;40m:
-
-# Procomm and some other ANSI emulations don't recognize all of the ANSI-
-# standard capabilities. This entry deletes cuu, cuf, cud, cub, and vpa/hpa
-# capabilities, forcing curses to use repetitions of cuu1, cuf1, cud1 and cub1.
-# Also deleted ich and ich1, as QModem up to 5.03 doesn't recognize these.
-# Finally, we delete rep and ri, which seem to confuse many emulators.
-# On the other hand, we can count on these programs doing rmacs/smacs/sgr.
-# From: Eric S. Raymond <esr@snark.thyrsus.com> July 25 1995
-pcansi-mono|ibm-pc terminal programs claiming to be ansi (mono mode):\
- :am:bs:mi:ms:pt:\
- :co#80:it#8:li#24:\
- :ae=\E[10m:al=\E[L:as=\E[12m:bl=^G:bt=\E[Z:cd=\E[J:\
- :ce=\E[K:cl=\E[H\E[J:cm=\E[%i%d;%dH:cr=^M:ct=\E[2g:\
- :dc=\E[P:dl=\E[M:do=\E[B:ho=\E[H:kb=^H:kd=\E[B:\
- :kh=\E[H:kl=\E[D:kr=\E[C:ku=\E[A:le=\E[D:mb=\E[5m:\
- :md=\E[1m:me=\E[0m:mk=\E[9m:mr=\E[7m:nd=\E[C:\
- :..sa=\E[0;10%?%p1%t;7%;%?%p2%t;4%;%?%p3%t;7%;%?%p4%t;5%;%?%p6%t;1%;%?%p7%t;8%;%?%p8%t;11%;%?%p9%t;12%;m:\
- :se=\E[m:sf=^J:so=\E[7m:st=\EH:ta=^I:ue=\E[m:up=\E[A:\
- :us=\E[4m:
-pcansi-mono25|ibm-pc terminal programs with 25 lines (mono mode):\
- :li#25:\
- :tc=pcansi-mono:
-pcansi-mono33|ibm-pc terminal programs with 33 lines (mono mode):\
- :li#33:\
- :tc=pcansi-mono:
-pcansi-mono43|ibm-pc terminal programs with 43 lines (mono mode):\
- :li#43:\
- :tc=pcansi-mono:
-# The color versions. All PC emulators do color...
-pcansi|ibm-pc terminal programs claiming to be ansi:\
- :tc=ansi-pc-color:tc=pcansi-mono:
-pcansi-25|ansi25|ibm-pc terminal programs with 25 lines:\
- :li#25:\
- :tc=pcansi:
-pcansi-33|ansi33|ibm-pc terminal programs with 33 lines:\
- :li#33:\
- :tc=pcansi:
-pcansi-43|ansi43|ibm-pc terminal programs with 43 lines:\
- :li#43:\
- :tc=pcansi:
-
-# From: Eric S. Raymond <esr@snark.thyrsus.com> Feb 3 1995
-# ansi-mono -- full X.364 with ANSI.SYS-compatible attributes, no color.
-# Function-key mappings aren't in X3.64 but these are pretty standard.
-# If you want pound signs rather than dollars, replace `B' with `A'
-# in the s?ds capabilities.
-ansi-mono|ANSI X3.64-1979 terminal with ANSI.SYS compatible attributes:\
- :5i:\
- :AL=\E[%dL:DC=\E[%dP:DL=\E[%dM:DO=\E[%dB:F1=\E[W:\
- :F2=\E[X:IC=\E[%d@:LE=\E[%dD:RI=\E[%dC:SF=\E[%dS:\
- :SR=\E[%dT:UP=\E[%dA:cb=\E[1K:ch=\E[%dG:ct=\E[2g:\
- :cv=\E[%dd:ec=\E[%dX:ei=:im=:k1=\E[M:k2=\E[N:k3=\E[O:\
- :k4=\E[P:k5=\E[Q:k6=\E[R:k7=\E[S:k8=\E[T:k9=\E[U:\
- :k;=\E[V:kB=\E[Z:kI=\E[L:kb=^H:kd=\E[B:kl=\E[D:\
- :kr=\E[C:ku=\E[A:me=\E[0;10m:nw=\r\E[S:pf=\E[4i:\
- :po=\E[5i:..rp=%p1%c\E[%p2%{1}%-%db:s0=\E(B:s1=\E)B:\
- :s2=\E*B:s3=\E+B:\
- :..sa=\E[0;10%?%p1%t;7%;%?%p2%t;4%;%?%p3%t;7%;%?%p4%t;5%;%?%p6%t;1%;%?%p7%t;8%;%?%p8%t;11%;%?%p9%t;12%;m:\
- :ta=\E[I:tc=pcansi:
-
-# ansi -- this terminfo expresses the largest subset of X3.64 that will fit in
-# standard terminfo. Assumes ANSI.SYS-compatible attributes and color
-# From: Eric S. Raymond <esr@snark.thyrsus.com> Feb 12 1995
-ansi|ansi/pc-term compatible with color:\
- :u6=\E[%d;%dR:u7=\E[6n:..u8=\E[?%[;0123456789]c:\
- :u9=\E[c:tc=ansi-pc-color:tc=ansi-mono:
-
-#
-# ANSI.SYS entries
-#
-# Cannot use :pt:, it does not work (why?). :ho: seems required (why?). [gts]
-# Caution: 4.3 BSD tset does not pass li#25 to stty rows except during login?
-# :cl: clears attributes and sets wrap at margin before clearing the screen.
-# (ansi.sys: removed obsolete ":ma=^Hh^Jj^Kk^Ll^^H:" -- esr)
-# From: greg small <gts@populi.berkeley.edu>
-ansi.sys|ansisys|PC-DOS 3.1 ANSI.SYS:\
- :am:bs:ms:\
- :co#80:li#25:\
- :ae=\E[10:as=\E[12:ce=\E[K:cl=\E[m\E[7h\E[2J:\
- :cm=\E[%i%d;%dH:ho=\E[H:\
- :is=U1 PC-DOS 3.1 ANSI.SYS 9-23-86\n\E[m\E[7h:kd=^J:\
- :kh=^^:kl=^H:kr=^L:ku=^K:md=\E[1m:me=\E[0;10m:\
- :mr=\E[7m:nd=\E[C:se=\E[m:so=\E[1m:ue=\E[m:up=\E[A:\
- :us=\E[4m:
-#
-# Define IBM PC keypad keys for vi as per MS-Kermit while using ANSI.SYS.
-# This should only be used when the terminal emulator cannot redefine the keys.
-# Since redefining keys with ansi.sys also affects PC-DOS programs, the key
-# definitions must be restored. If the terminal emulator is quit while in vi
-# or others using :ks:ke:, the keypad keys will not be defined as per PC-DOS.
-# The PgUp and PgDn are prefixed with ESC so that tn3270 can be used on Unix
-# (^U and ^D are already defined for tn3270). The ESC is safe for vi but it
-# does "beep". ESC ESC i is used for Ins to avoid tn3270 ESC i for coltab.
-# Left arrow is always BS, because PC-dos can tolerate this change.
-# Caution: vi is limited to 256 string bytes, longer crashes or weirds out vi.
-# Consequently the End keypad key could not be set (it is relatively safe and
-# actually useful because it sends ^@ O, which beeps and opens a line above).
-ansi.sysk|ansisysk|PC-DOS 3.1 ANSI.SYS with keypad redefined for vi:\
- :is=U2 PC-DOS 3.1 ANSI.SYS with keypad redefined for vi 9-29-86\n\E[;75;8p:\
- :ke=\E[;71;0;71p\E[;72;0;72p\E[;73;0;73p\E[;77;0;77p\E[;80;0;80p\E[;81;0;81p\E[;82;0;82p\E[;83;0;83p:\
- :ks=\E[;71;30p\E[;72;11p\E[;73;27;21p\E[;77;12p\E[;80;10p\E[;81;27;4p\E[;82;27;27;105p\E[;83;127p:tc=ansi.sys:
-#
-# Adds ins/del line/character, hence vi reverse scrolls/inserts/deletes nicer.
-nansi.sys|nansisys|PC-DOS Public Domain NANSI.SYS:\
- :al=\E[1L:dc=\E[1P:dl=\E[1M:ei=:ic=\E[1@:im=:\
- :is=U3 PC-DOS Public Domain NANSI.SYS 9-23-86\n:tc=ansi.sys:
-#
-# See ansi.sysk and nansi.sys above.
-nansi.sysk|nansisysk|PC-DOS Public Domain NANSI.SYS with keypad redefined for vi:\
- :al=\E[1L:dc=\E[1P:dl=\E[1M:ei=:ic=\E[1@:im=:\
- :is=U4 PC-DOS Public Domain NANSI.SYS with keypad redefined for vi 9-29-86\n\E[;75;8p:tc=ansi.sysk:
-
-cygwin:\
- :xn@:op=\E[39;49m:Km=\E[M:tc=linux:
-
-msys:\
- :xn@:op=\E[39;49m:Km=\E[M:tc=linux:tc=rxvt:
-
-#### ANSI console types
-#
-
-# This entry is good for the 1.1.47 version of the Linux console driver.
-#
-# It assumes that you want A_PROTECT mapped to the alternate character set
-# mode that permits IBM ROM characters to be displayed (this is the assumption
-# used by ncurses version 1.9 and after, in order not to collide with the
-# internationalization attribute values specified in the XSI Curses standard).
-#
-# We use \E11m for rmacs rather than \E12m so the acsc string can use the ROM
-# graphics for control characters such as the diamond, up arrow and down-arrow.
-# This trick could work with other Intel consoles like the att6386 and pc3.
-#
-# Note: there are numerous broken linux entries out there, which didn't screw
-# up BSD termcap but hose ncurses's smarter cursor-movement optimization.
-# One common pathology is an incorrect tab length of 4. Also note that the
-# hpa=\E[%dG/vpa=\E[%dd capabilities seem not to be reliable. To reproduce
-# the bug, re-introduce them and run worm -T 200 212 from the ncurses
-# test suite, save the trace, then worm -N -T 200 212. Observe that the first
-# run fails to properly delete some worm segments, then diff the trace files.
-#
-# From: Eric S. Raymond <esr@snark.thyrsus.com> 23 July 1995
-linux|linux console:\
- :am:bs:eo:mi:ms:ut:xn:xo:\
- :Co#8:co#80:it#8:li#25:pa#64:\
- :&7=^Z:@7=\E[4~:kh=\E[1~:kH=\E[4~:AB=\E[4%dm:AF=\E[3%dm:\
- :AL=\E[%dL:DC=\E[%dP:DL=\E[%dM:F1=\E[23~:F2=\E[24~:\
- :F3=\E[25~:F4=\E[26~:F5=\E[28~:F6=\E[29~:F7=\E[31~:\
- :F8=\E[32~:F9=\E[33~:FA=\E[34~:IC=\E[%d@:K2=\E[G:\
- :S2=\E[11m:S3=\E[10m:Sb=\E[%+(m:Sf=\E[%+^^m:\
- :ac=`\004a\261f\370g\361h\260j\331k\277l\332m\300n\305o~q\304r\362s_t\303u\264v\301w\302x\263y\371z\372{\373|\374}\375~\376.\031-\030\054\021+^P0\333:\
- :ae=\E[10m:al=\E[L:as=\E[11m:bl=^G:cd=\E[J:ce=\E[K:\
- :cl=\E[H\E[J:cm=\E[%i%d;%dH:cr=^M:cs=\E[%i%d;%dr:\
- :ct=\E[3g:dc=\E[P:dl=\E[M:do=^J:ei=\E[4l:ho=\E[H:\
- :ic=\E[@:im=\E[4h:k1=\E[[A:k2=\E[[B:k3=\E[[C:\
- :k4=\E[[D:k5=\E[[E:k6=\E[17~:k7=\E[18~:k8=\E[19~:\
- :k9=\E[20~:k;=\E[21~:kD=\E[3~:kI=\E[2~:kN=\E[6~:\
- :kP=\E[5~:kb=^H:kd=\E[B:kh=\E[1~:kl=\E[D:kr=\E[C:\
- :ku=\E[A:le=^H:mb=\E[5m:md=\E[1m:me=\E[0;10m:\
- :mr=\E[7m:nd=\E[C:nw=^M^J:op=\E[37;40m:r1=\Ec:rc=\E8:\
- :sc=\E7:se=\E[m:sf=^J:so=\E[7m:sr=\EM:st=\EH:ta=^I:\
- :u6=\E[%d;%dR:u7=\E[6n:u8=\E[?6c:u9=\E[c:ue=\E[24m:\
- :up=\E[A:us=\E[4m:vb=\E[?5h\E[?5l:ve=\E[?25h:\
- :vi=\E[?25l:
-linux-mono|Linux console, no color:\
- :Co@:pa@:\
- :AB@:Sb@:Sf@:tc=linux:
-
-# Reconstructed via infocmp from file: /usr/local/share/terminfo/r/rxvt
-rxvt|rxvt terminal emulator (X Window System):\
- :am:eo:km:mi:ms:xn:xo:\
- :co#80:it#8:li#24:\
- :AL=\E[%dL:DC=\E[%dP:DL=\E[%dM:DO=\E[%dB:IC=\E[%d@:\
- :K1=\EOw:K2=\EOu:K3=\EOy:K4=\EOq:K5=\EOs:LE=\E[%dD:\
- :RI=\E[%dC:UP=\E[%dA:ae=^O:al=\E[L:as=^N:bl=^G:cd=\E[J:\
- :ce=\E[K:cl=\E[H\E[2J:cm=\E[%i%d;%dH:cr=^M:\
- :cs=\E[%i%d;%dr:ct=\E[3g:dc=\E[P:dl=\E[M:do=^J:ei=\E[4l:\
- :ho=\E[H:i1=\E[?47l\E=\E[?1l:ic=\E[@:im=\E[4h:\
- :is=\E[r\E[m\E[2J\E[H\E[?7h\E[?1;3;4;6l\E[4l:\
- :k0=\E[21~:k1=\E[11~:k2=\E[12~:k3=\E[13~:k4=\E[14~:\
- :k5=\E[15~:k6=\E[17~:k7=\E[18~:k8=\E[19~:k9=\E[20~:\
- :kD=\E[3~:kI=\E[2~:kN=\E[6~:kP=\E[5~:kb=^H:kd=\E[B:ke=\E>:\
- :kh=\E[7~:kl=\E[D:kr=\E[C:ks=\E=:ku=\E[A:le=^H:mb=\E[5m:\
- :md=\E[1m:me=\E[m\017:mr=\E[7m:nd=\E[C:rc=\E8:sc=\E7:\
- :se=\E[27m:sf=^J:so=\E[7m:sr=\EM:st=\EH:ta=^I:\
- :te=\E[2J\E[?47l\E8:ti=\E7\E[?47h:ue=\E[24m:up=\E[A:\
- :us=\E[4m:vb=\E[?5h\E[?5l:ve=\E[?25h:vi=\E[?25l:\
- :vs=\E[?25h:
-
-
-# Reconstructed via infocmp from file: /usr/local/share/terminfo/v/vt100
-vt100|vt100-am|dec vt100 (w/advanced video):\
- :am:ms:xn:xo:\
- :co#80:it#8:li#24:vt#3:\
- :DO=\E[%dB:K1=\EOq:K2=\EOr:K3=\EOs:K4=\EOp:K5=\EOn:\
- :LE=\E[%dD:RI=\E[%dC:UP=\E[%dA:ae=^O:as=^N:bl=^G:cd=\E[J:\
- :ce=\E[K:cl=\E[H\E[J:cm=\E[%i%d;%dH:cr=^M:cs=\E[%i%d;%dr:\
- :ct=\E[3g:do=^J:ho=\E[H:k0=\EOy:k1=\EOP:k2=\EOQ:k3=\EOR:\
- :k4=\EOS:k5=\EOt:k6=\EOu:k7=\EOv:k8=\EOl:k9=\EOw:kb=^H:\
- :kd=\EOB:ke=\E[?1l\E>:kl=\EOD:kr=\EOC:ks=\E[?1h\E=:\
- :ku=\EOA:le=^H:mb=\E[5m:md=\E[1m:me=\E[m\017:mr=\E[7m:\
- :nd=\E[C:rc=\E8:\
- :..sa=\E[0%?%p1%p6%|%t;1%;%?%p2%t;4%;%?%p1%p3%|%t;7%;%?%p4%t;5%;m%?%p9%t\016%e\017%;:\
- :sc=\E7:se=\E[m:sf=^J:so=\E[7m:sr=\EM:st=\EH:ta=^I:ue=\E[m:\
- :up=\E[A:us=\E[4m:
-
-# Reconstructed via infocmp from file: /usr/share/terminfo/x/xterm-r6
-xterm-r6|xterm|xterm X11R6 version:\
- :am:km:mi:ms:xn:\
- :co#80:it#8:li#24:\
- :AL=\E[%dL:DC=\E[%dP:DL=\E[%dM:DO=\E[%dB:LE=\E[%dD:\
- :RI=\E[%dC:UP=\E[%dA:ae=^O:al=\E[L:as=^N:bl=^G:cd=\E[J:\
- :ce=\E[K:cl=\E[H\E[2J:cm=\E[%i%d;%dH:cr=^M:\
- :cs=\E[%i%d;%dr:ct=\E[3g:dc=\E[P:dl=\E[M:do=^J:ei=\E[4l:\
- :ho=\E[H:im=\E[4h:\
- :is=\E7\E[r\E[m\E[?7h\E[?1;3;4;6l\E[4l\E8\E>:k1=\EOP:\
- :k2=\EOQ:k3=\EOR:k4=\EOS:k5=\E[15~:k6=\E[17~:k7=\E[18~:\
- :k8=\E[19~:k9=\E[20~:kD=\E[3~:kI=\E[2~:kN=\E[6~:kP=\E[5~:\
- :kb=^H:kd=\EOB:ke=\E[?1l\E>:kh=\E[1~:kl=\EOD:kr=\EOC:\
- :ks=\E[?1h\E=:ku=\EOA:le=^H:md=\E[1m:me=\E[m:mr=\E[7m:\
- :nd=\E[C:rc=\E8:sc=\E7:se=\E[m:sf=^J:so=\E[7m:sr=\EM:ta=^I:\
- :te=\E[2J\E[?47l\E8:ti=\E7\E[?47h:ue=\E[m:up=\E[A:\
- :us=\E[4m:
+++ /dev/null
-@echo off
-rem Copyright (C): 2001, 2002, 2003, 2004, 2005 Earnie Boyd
-rem mailto:earnie@users.sf.net
-rem This file is part of Minimal SYStem
-rem http://www.mingw.org/msys.shtml
-rem
-rem File: msys.bat
-rem Revision: 2.4
-rem Revision Date: December 8th, 2005
-
-rem ember to set the "Start in:" field of the shortcut.
-rem A value similar to C:\msys\1.0\bin is what the "Start in:" field needs
-rem to represent.
-
-rem ember value of GOTO: is used to know recursion has happened.
-if "%1" == "GOTO:" goto %2
-
-if NOT "x%WD%" == "x" set WD=
-
-rem ember command.com only uses the first eight characters of the label.
-goto _WindowsNT
-
-rem ember that we only execute here if we are in command.com.
-:_Windows
-
-if "x%COMSPEC%" == "x" set COMSPEC=command.com
-start /min %COMSPEC% /e:4096 /c %0 GOTO: _Resume %0 %1 %2 %3 %4 %5 %6 %7 %8 %9
-goto EOF
-
-rem ember that we execute here if we recursed.
-:_Resume
-for %%F in (1 2 3) do shift
-if NOT EXIST %WD%msys-1.0.dll set WD=.\bin\
-
-rem ember that we get here even in command.com.
-:_WindowsNT
-
-rem Hopefully a temporary workaround for getting MSYS shell to run on x64
-rem (WoW64 cmd prompt sets PROCESSOR_ARCHITECTURE to x86)
-if not "x%PROCESSOR_ARCHITECTURE%" == "xAMD64" goto _NotX64
-set COMSPEC=%WINDIR%\SysWOW64\cmd.exe
-%COMSPEC% /c %0 %1 %2 %3 %4 %5 %6 %7 %8 %9
-goto EOF
-:_NotX64
-
-if NOT EXIST %WD%msys-1.0.dll set WD=%~dp0\bin\
-
-rem ember Set up option to use rxvt based on value of %1
-if "x%MSYSCON%" == "x" set MSYSCON=rxvt.exe
-if "x%1" == "x-norxvt" set MSYSCON=sh.exe
-if "x%1" == "x--norxvt" set MSYSCON=sh.exe
-if "x%MSYSCON%" == "xsh.exe" shift
-
-if "x%MSYSTEM%" == "x" set MSYSTEM=MINGW32
-if "%1" == "MINGW32" set MSYSTEM=MINGW32
-if "%1" == "MSYS" set MSYSTEM=MSYS
-
-if NOT "x%DISPLAY%" == "x" set DISPLAY=
-
-if "x%MSYSCON%" == "xrxvt.exe" goto startrxvt
-if "x%MSYSCON%" == "xsh.exe" goto startsh
-
-:unknowncon
-echo %MSYSCON% is an unknown option for msys.bat.
-pause
-exit 1
-
-:notfound
-echo Cannot find the rxvt.exe or sh.exe binary -- aborting.
-pause
-exit 1
-
-rem If you don't want to use rxvt then rename the file rxvt.exe to something
-rem else. Then sh.exe will be used instead.
-:startrxvt
-if NOT EXIST %WD%rxvt.exe goto startsh
-
-rem Setup the default colors for rxvt.
-if "x%MSYSBGCOLOR%" == "x" set MSYSBGCOLOR=White
-if "x%MSYSFGCOLOR%" == "x" set MSYSFGCOLOR=Black
-if "x%MINGW32BGCOLOR%" == "x" set MINGW32BGCOLOR=LightYellow
-if "x%MINGW32FGCOLOR%" == "x" set MINGW32FGCOLOR=Navy
-if "%MSYSTEM%" == "MSYS" set BGCOLOR=%MSYSBGCOLOR%
-if "%MSYSTEM%" == "MSYS" set FGCOLOR=%MSYSFGCOLOR%
-if "%MSYSTEM%" == "MINGW32" set BGCOLOR=%MINGW32BGCOLOR%
-if "%MSYSTEM%" == "MINGW32" set FGCOLOR=%MINGW32FGCOLOR%
-
-start %WD%rxvt -backspacekey \b -sl 2500 -fg %FGCOLOR% -bg %BGCOLOR% -sr -fn Courier-12 -tn msys -geometry 80x25 -e /bin/sh --login -i
-exit
-
-:startsh
-if NOT EXIST %WD%sh.exe goto notfound
-start %WD%sh --login -i
-exit
-
-:EOF
-
-rem ChangeLog:
-rem 2002.03.07 Earnie Boyd mailto:earnie@users.sf.net
-rem * Move the @echo off to the top.
-rem * Change the binmode setting to nobinmode.
-rem * Remove the angle brackets around email address to workaround MS
-rem buggy command processor.
-rem
-rem 2002.03.12 Earnie Boyd mailto:earnie@users.sf.net
-rem * Add filter logic to find rxvt.exe
-rem
-rem 2002.03.13 Earnie Boyd mailto:earnie@users.sf.net
-rem * Revert the nobinmode change.
-rem
-rem 2002.03.20 Earnie Boyd mailto:earnie@users.sf.net
-rem * Add logic for stating bash.
-rem
-rem 2002.04.11 Earnie Boyd mailto;earnie@users.sf.net
-rem * Add logic for setting MSYSTEM value based on parameter.
-rem
-rem 2002.04.15 Olivier Gautherot mailto:olivier_gautherot@mentorg.com
-rem * Reduce number test conditions for finding an executable.
-rem
-rem 2002.04.15 Earnie Boyd mailto:earnie@users.sf.net
-rem * Unset DISPLAY if set before starting shell.
-rem
-rem 2002.04.16 Earnie Boyd mailto:earnie@users.sf.net
-rem * Remove use of DEFINED in conditional statments for variables for
-rem command.com support.
-rem * Add check for nonexistance of USERNAME variable for Win9x support.
-rem
-rem 2002.04.17 Earnie Boyd mailto:earnie@users.sf.net
-rem * Add foreground and background color defaults based on MSYSTEM value.
-rem
-rem 2002.04.22 Earnie Boyd mailto:earnie@users.sf.net
-rem * More Win 9x changes.
-rem
-rem 2002.05.04 Earnie Boyd mailto:earnie@users.sf.net
-rem * Remove the SET of USERNAME and HOME.
-rem
-rem 2002.11.18 Earnie Boyd mailto:earnie@users.sf.net
-rem * Add command.com detection and restart with a larger environment to
-rem avoid errors on w9x.
-rem Many thanks to Randy W. Sims mailto:RandyS@ThePierianSpring.org.
-rem See Randy's response to "RE: [Mingw-msys] Installation on WindowsME"
-rem from 11/06/2002 in the archives of mingw-msys@lists.sf.net.
-rem
-rem 2002.11.19 Paul Garceau mailto:pgarceau@attbi.com
-rem * Fix a typo: Change COMPSPEC to COMSPEC.
-rem
-rem 2002.11.25 Earnie Boyd mailto:earnie@users.sf.net
-rem * Remove the SET CYGWIN since it doesn't matter any longer.
-rem
-rem 2003.02.03 Earnie Boyd mailto:earnie@users.sf.net
-rem * Win9x doesn't like ``EXISTS dir'' so change it to ``EXISTS dir\nul''.
-rem Thanks to Nicolas Weber mailto:nicolasweber@gmx.de.
-rem
-rem 2003.03.06 Earnie Boyd mailto:earnie@users.sf.net
-rem * Add -backspacekey switch to rxvt startup.
-rem * Move RXVT color setup to startrxvt label
-rem
-rem 2004.01.30 Earnie Boyd mailto:earnie@users.sf.net
-rem * Add -geometry parameter to work around an off by one issue with
-rem the default values.
-rem Thanks to Dave Schuyler mailto:parameter@users.sf.net
-rem
-rem 2004.03.28 Earnie Boyd mailto:earnie@users.sf.net
-rem * Add -norxvt or --norxvt switch argument.
-rem Thanks to Keith Marshall mailto:Keith.Marshall@total.com.
-rem * Add method to determine absolute path of msys.bat so that we no
-rem longer need to change to the bin directory. This allows msys.bat to be
-rem called from any working directory.
-rem Thanks to Kevin Mack mailto:kevin.mack@us.cd-adapco.com
-rem
-rem 2005.07.06 Max TE Woodbury mailto:mtew@users.sf.net
-rem * Fixed WD check for command.com systems.
-rem * Minimized intermediate CMD window to reduce startup flashyness.
-rem * If rxvt.exe cannot be found, try sh.exe.
-rem
-rem 2005.12.06 Tuomo Latto mailto:nonperson@users.sf.net
-rem * Added a temporary workaround for getting MSYS shell to run on x64.
-rem
-rem 2005.12.07 Keith Marshall mailto:keithmarshall@users.sf.net
-rem * ``EXISTS %WD%\sh.exe'' should be ``EXISTS %WD%sh.exe''; corrected.
-rem * Modified Tuomo's patch, to avoid trashing Window settings in Win32.
-rem
-rem 2005.12.08 Tuomo Latto mailto:nonperson@users.sf.net
-rem * Keith's modified patch fails on x64; start did funny things.
-rem Reworked, for correct behaviour on both platforms.
-rem
echo ""
}
+if [ "$OPERATING_SYSTEM" == "WIN32" ]; then
+ export PATH=$PRODUCTION_DIR/win32_help:$PATH
+fi
+
# we try to use the most recent compiler location, and work backwards as
# needed for the supported range (10 = vs 2010, 9 = vs 2008, 8 = vs 2005).
export VSxTOOLS="$VS100COMNTOOLS"